Skip to content
Twexapi
English
Esc
navigateopen⌘Jpreview

List Global Trend Content Tags

Get content tags for a selected country and topic so tweets can be filtered more precisely.

Back to API Reference
/Trending Endpoints
GET/twitter/global-trending/contents
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Query Parameters
countrystringrequired
Country name or slug returned by /twitter/global-trending/countries
topicstringrequired
Topic name or slug returned by /twitter/global-trending/topics
Responses
200Content tag options for the selected country and topic.
codeintegerrequired
HTTP status code
msgstringrequired
Response message
dataany
Response data
Show properties
Any of:
any
any
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Interactive ConsoleGET
Interactive Console / Try APIGET
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
⚙️Parameters (2)
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X GET "https://api.twexapi.io/twitter/global-trending/contents?country=string&topic=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "code": 200,
  "msg": "success",
  "data": {}
}